classification
Title: additional mappings for mimetypes.py
Type: Stage:
Components: Library (Lib) Versions:
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: loewis Nosy List: ajung, gvanrossum, loewis
Priority: low Keywords: patch

Created on 2001-07-05 15:13 by ajung, last changed 2001-09-07 16:50 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
out ajung, 2001-07-05 15:13
Messages (8)
msg36904 - (view) Author: Andreas Jung (ajung) Date: 2001-07-05 15:13
added some additional mapping for mimetypes.py.

Andreas
msg36905 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2001-07-19 06:42
Logged In: YES 
user_id=21627

I believe some of these types are not "official", in the 
sense that they are supported by an RFC; types that are 
not defined in an RFC MUST use the x- prefix. E.g. in what 
RFC is "text/xsl" or "text/xul" defined?

IOW, only types listed in 
http://www.isi.edu/in-notes/iana/assignments/media-types/
should be supported without x-prefix.

Could you please review the entire list of known types 
with this respect, and update the patch accordingly?
msg36906 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2001-08-09 17:54
Logged In: YES 
user_id=6380

Still waiting for feedback...
msg36907 - (view) Author: Andreas Jung (ajung) Date: 2001-08-09 18:14
Logged In: YES 
user_id=11084

The x-* mimetypes are common used although they might not
be officially assigned. I would not remove these from the list.
This patch also relates to bug #439710 for better support of
user-defined mime-types.

Andreas
msg36908 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2001-08-09 21:10
Logged In: YES 
user_id=21627

I wasn't complaining about the x- types 
(application/x-javascript); they are fine. I was 
complaining about using unregistered types without an x- 
prefix, specifically

+     '.xsl': 'text/xsl',
+     '.xul': 'text/xul'

These are not valid MIME types, unless I'm missing 
something.

More generally, I was requesting that the IANA registry is 
analysed and this patch is brought in sync with it.
msg36909 - (view) Author: Andreas Jung (ajung) Date: 2001-08-10 01:22
Logged In: YES 
user_id=11084

the mimetypes for .xsl and xul are also in common usage. 

Andreas
msg36910 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2001-08-10 06:22
Logged In: YES 
user_id=21627

Just that Microsoft uses them should not cause us to 
violate internet standards. RFC 2045 specifies that the 
syntax of a subtype is

subtype := extension-token / iana-token
iana-token := <A publicly-defined extension token. Tokens
               of this form must be registered with IANA
               as specified in RFC 2048.>
x-token := <The two characters "X-" or "x-" followed, with
            no intervening white space, by any token>

Since text/xsl and text/xul are not registered as 
specified in RFC 2048, they are not valid types.

So our choice is to either follow Microsoft, or follow the 
Internet Standards. If the inclusion of text/xsl in the 
patch was intentional (rather than a mistake), I recommend 
to reject this patch.
msg36911 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2001-09-07 16:50
Logged In: YES 
user_id=21627

I've now applied this patch as mimetypes.py 1.19, removing
all the types that were not registered.
History
Date User Action Args
2001-07-05 15:13:35ajungcreate